| Home | Libraries | People | FAQ | More

## Function template make_histogram_with

boost::histogram::make_histogram_with — Make histogram from iterator interval and custom storage.

## Synopsis

    // In header: <boost/histogram/make_histogram.hpp>

    template<typename Storage, typename Iterator>
      auto make_histogram_with(Storage && storage, Iterator begin, Iterator end);

## Description

Parameters:

`storage` | Storage or container with standard interface (any vector, array, or map).
`begin` | Iterator to range of axis objects.
`end` | Iterator to range of axis objects.